templates:
- rsx
- code-corlab
- cmake-cpp
- base

catalog:
  title: RSB GStreamer Integration

variables:
  description: >-
    GStreamer elements for sending and receiving audio and video data
    via RSB.
  keywords:
  - multimedia
  - plugins
  - gstreamer

  redmine-project: rsb-gstreamer

  repository: https://code.cor-lab.de/git/rsb-gstreamer.git
  branches:
  - '@{rsx.branches}'
  - resume_stream_fix
  tags:
  - release-0.15
  - release-0.13
  - release-0.12
  - release-0.11
  - csra-0.2
  - release-0.17
  - resume_stream_fix_0.3

  gstreamer-version: '0.10'
  ubuntu-packages: ${ubuntu-packages:${gstreamer-version}}
  ubuntu-packages:0.10:
  - libgstreamer0.10-dev
  - libgstreamer-plugins-base0.10-dev
  ubuntu-packages:1.0:
  - libgstreamer1.0-dev
  - libgstreamer-plugins-base1.0-dev

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - '@{ubuntu-packages}'


  junit.pattern: false

  archive-pattern: false

versions:
- name: channel-positions
  variables:
    branch: ${version-name}
    gstreamer-version: '1.0'
